%define _exclude_files_from_autoprov %{_libdir}/thunarx-2/.*\\.so

Name:		thunar-dropbox
Summary:	Dropbox plugin for Thunar
Version:	0.2.0
Release:	%mkrel 3
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		http://softwarebakery.com/maato/thunar-dropbox.html
Source0:	http://softwarebakery.com/maato/files/%{name}/%{name}-%{version}.tar.bz2
# Patch originally from Heiko Adams:
# http://repo.heiko-adams.de/repoview/thunar-dropbox.html
Patch0:		thunar-dropbox-0.2.0-fix-64bit-install.patch
BuildRequires:	pkgconfig(thunarx-2)
Requires:	hicolor-icon-theme
Requires:	thunar
Requires:	dropbox-bin

%description
Thunar Dropbox is a plugin for thunar that adds context-menu items from
dropbox.

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
#configure_waf
#waf
./waf configure --prefix=%{_prefix} --libdir=%{_libdir}
./waf build

%install
#waf_install
./waf install --destdir=%{buildroot}

%files
%{_libdir}/thunarx-2/thunar-dropbox.so
%{_iconsdir}/hicolor/*/apps/thunar-dropbox.png


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 743999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5.nonfree
+ Revision: 689871
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 wally <wally> 0.2.0-1.mga5.nonfree
+ Revision: 587097
- add patch to fix install on x86_64 (patch originally from Heiko Adams)
- imported package thunar-dropbox

